Bug 29301 - Display error with serials search flatpickr when searching Mana
Summary: Display error with serials search flatpickr when searching Mana
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 28958 29299
Blocks: 29239
  Show dependency treegraph
 
Reported: 2021-10-21 12:46 UTC by Owen Leonard
Modified: 2021-10-29 16:08 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29301: Display error with serials search flatpickr when searching Mana (5.93 KB, patch)
2021-10-21 12:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29301: Display error with serials search flatpickr when searching Mana (5.97 KB, patch)
2021-10-21 18:08 UTC, David Nind
Details | Diff | Splinter Review
Bug 29301: Display error with serials search flatpickr when searching Mana (6.04 KB, patch)
2021-10-27 15:53 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-10-21 12:46:46 UTC
In Serials there is an option to search Mana outside the context of adding a subscription: The "Search on Mana" link in the sidebar.

This form looks wrong because some inputs are hidden in a way that doesn't hide all Flatpickr-generated elements.
Comment 1 Owen Leonard 2021-10-21 12:54:54 UTC
Created attachment 126665 [details] [review]
Bug 29301: Display error with serials search flatpickr when searching Mana

This patch changes the way certain serials search fields are hidden when
a standalone search of Mana is being performed (from the "Search on
Mana" link). Instead of targeting specific labels and inputs to hide we
can hide list items by class.

Unrelated: This patch updates the page heading so that it is different
depending on whether you're searching Koha subscriptions or Mana
subscriptions.

To test, apply the patch and enable Mana.

- Go to Serials -> Advanced search (in the search header).
- The search form should include all fields, including call number,
  vendor, library, location, and "Expires before."
- Click "Search on Mana" in the sidebar.
- This page should have the heading "Mana subscriptions search," and
  there should only be three fields visible: ISSN, Title, and Publisher.
- When you perform a Mana search which returns results the page should
  have the heading "Mana subscriptions (X found).
Comment 2 David Nind 2021-10-21 18:08:46 UTC
Created attachment 126676 [details] [review]
Bug 29301: Display error with serials search flatpickr when searching Mana

This patch changes the way certain serials search fields are hidden when
a standalone search of Mana is being performed (from the "Search on
Mana" link). Instead of targeting specific labels and inputs to hide we
can hide list items by class.

Unrelated: This patch updates the page heading so that it is different
depending on whether you're searching Koha subscriptions or Mana
subscriptions.

To test, apply the patch and enable Mana.

- Go to Serials -> Advanced search (in the search header).
- The search form should include all fields, including call number,
  vendor, library, location, and "Expires before."
- Click "Search on Mana" in the sidebar.
- This page should have the heading "Mana subscriptions search," and
  there should only be three fields visible: ISSN, Title, and Publisher.
- When you perform a Mana search which returns results the page should
  have the heading "Mana subscriptions (X found).

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Martin Renvoize 2021-10-27 15:53:35 UTC
Created attachment 127015 [details] [review]
Bug 29301: Display error with serials search flatpickr when searching Mana

This patch changes the way certain serials search fields are hidden when
a standalone search of Mana is being performed (from the "Search on
Mana" link). Instead of targeting specific labels and inputs to hide we
can hide list items by class.

Unrelated: This patch updates the page heading so that it is different
depending on whether you're searching Koha subscriptions or Mana
subscriptions.

To test, apply the patch and enable Mana.

- Go to Serials -> Advanced search (in the search header).
- The search form should include all fields, including call number,
  vendor, library, location, and "Expires before."
- Click "Search on Mana" in the sidebar.
- This page should have the heading "Mana subscriptions search," and
  there should only be three fields visible: ISSN, Title, and Publisher.
- When you perform a Mana search which returns results the page should
  have the heading "Mana subscriptions (X found).

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-10-27 15:54:02 UTC
Works as expected, QA script passes.. Passing QA
Comment 5 Jonathan Druart 2021-10-28 10:30:18 UTC
Pushed to master for 21.11, thanks to everybody involved!